net.sf.jasperreports.components.sort

## Enum FilterTypeDateOperatorsEnum

- java.lang.Object
- - java.lang.Enum<FilterTypeDateOperatorsEnum>
  - - net.sf.jasperreports.components.sort.FilterTypeDateOperatorsEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FilterTypeDateOperatorsEnum>, JREnum, NamedEnum

      public enum FilterTypeDateOperatorsEnum
      extends java.lang.Enum<FilterTypeDateOperatorsEnum>
      implements JREnum

  Version:
    $Id: FilterTypeDateOperatorsEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUALS`
    `IS_AFTER`
    `IS_BEFORE`
    `IS_BETWEEN`
    `IS_NOT_BETWEEN`
    `IS_NOT_EQUAL_TO`
    `IS_ON_OR_AFTER`
    `IS_ON_OR_BEFORE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterTypeDateOperatorsEnum` | `getByEnumConstantName(java.lang.String name)`
    `static FilterTypeDateOperatorsEnum` | `getByName(java.lang.String name)`
    `static FilterTypeDateOperatorsEnum` | `getByValue(byte value)`
    `static FilterTypeDateOperatorsEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static FilterTypeDateOperatorsEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FilterTypeDateOperatorsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final FilterTypeDateOperatorsEnum EQUALS

    - #### IS_NOT_EQUAL_TO

          public static final FilterTypeDateOperatorsEnum IS_NOT_EQUAL_TO

    - #### IS_BETWEEN

          public static final FilterTypeDateOperatorsEnum IS_BETWEEN

    - #### IS_NOT_BETWEEN

          public static final FilterTypeDateOperatorsEnum IS_NOT_BETWEEN

    - #### IS_ON_OR_BEFORE

          public static final FilterTypeDateOperatorsEnum IS_ON_OR_BEFORE

    - #### IS_BEFORE

          public static final FilterTypeDateOperatorsEnum IS_BEFORE

    - #### IS_ON_OR_AFTER

          public static final FilterTypeDateOperatorsEnum IS_ON_OR_AFTER

    - #### IS_AFTER

          public static final FilterTypeDateOperatorsEnum IS_AFTER

  - ### Method Detail

    - #### values

          public static FilterTypeDateOperatorsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterTypeDateOperatorsEnum c : FilterTypeDateOperatorsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterTypeDateOperatorsEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static FilterTypeDateOperatorsEnum getByName(java.lang.String name)

    - #### getByEnumConstantName

          public static FilterTypeDateOperatorsEnum getByEnumConstantName(java.lang.String name)

    - #### getByValue

          public static FilterTypeDateOperatorsEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static FilterTypeDateOperatorsEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com